diff --git a/docs/en_US/default-xsl.rst b/docs/en_US/default-xsl.rst
index 36e725a..1cd4b04 100644
--- a/docs/en_US/default-xsl.rst
+++ b/docs/en_US/default-xsl.rst
@@ -116,18 +116,20 @@ give it the pgadmin look and feel.
       </xsl:if>
 
       <xsl:if test="count(../section[@id = current()/@id]/table/columns/column) > 0">
-        <table>
-          <tr>
-            <xsl:apply-templates select="../section[@id = current()/@id]/table/columns/column">
+        <div style=overflow:auto>
+          <table>
+            <tr>
+              <xsl:apply-templates select="../section[@id = current()/@id]/table/columns/column">
+                <xsl:sort select="@number" data-type="number" order="ascending" />
+                <xsl:with-param name="count" select="count(../section[@id = current()/@id]/table/columns/column)" />
+              </xsl:apply-templates>
+            </tr>
+            <xsl:apply-templates select="../section[@id = current()/@id]/table/rows/*" mode="rows">
               <xsl:sort select="@number" data-type="number" order="ascending" />
-              <xsl:with-param name="count" select="count(../section[@id = current()/@id]/table/columns/column)" />
+              <xsl:with-param name="column-meta" select="../section[@id = current()/@id]/table/columns/column" />
             </xsl:apply-templates>
-          </tr>
-          <xsl:apply-templates select="../section[@id = current()/@id]/table/rows/*" mode="rows">
-              <xsl:sort select="@number" data-type="number" order="ascending" />
-            <xsl:with-param name="column-meta" select="../section[@id = current()/@id]/table/columns/column" />
-          </xsl:apply-templates>
-        </table>
+          </table>
+        </div>
         <br />
         <xsl:if test="../section[@id = current()/@id]/table/info != ''">
           <p class="ReportTableInfo"><xsl:value-of select="../section[@id = current()/@id]/table/info" /></p>
diff --git a/pgadmin/frm/frmReport.cpp b/pgadmin/frm/frmReport.cpp
index d727761..14fdeed 100644
--- a/pgadmin/frm/frmReport.cpp
+++ b/pgadmin/frm/frmReport.cpp
@@ -674,18 +674,20 @@ wxString frmReport::GetDefaultXsl(const wxString &css)
 	        wxT("  </xsl:if>\n")
 	        wxT("\n")
 	        wxT("  <xsl:if test=\"count(../section[@id = current()/@id]/table/columns/column) > 0\">\n")
-	        wxT("    <table>\n")
-	        wxT("      <tr>\n")
-	        wxT("        <xsl:apply-templates select=\"../section[@id = current()/@id]/table/columns/column\">\n")
+	        wxT("    <div style=\"overflow:auto;\">\n")
+	        wxT("      <table>\n")
+	        wxT("        <tr>\n")
+	        wxT("          <xsl:apply-templates select=\"../section[@id = current()/@id]/table/columns/column\">\n")
+	        wxT("            <xsl:sort select=\"@number\" data-type=\"number\" order=\"ascending\" />\n")
+	        wxT("            <xsl:with-param name=\"count\" select=\"count(../section[@id = current()/@id]/table/columns/column)\" />\n")
+	        wxT("          </xsl:apply-templates>\n")
+	        wxT("        </tr>\n")
+	        wxT("        <xsl:apply-templates select=\"../section[@id = current()/@id]/table/rows/*\" mode=\"rows\">\n")
 	        wxT("          <xsl:sort select=\"@number\" data-type=\"number\" order=\"ascending\" />\n")
-	        wxT("          <xsl:with-param name=\"count\" select=\"count(../section[@id = current()/@id]/table/columns/column)\" />\n")
+	        wxT("          <xsl:with-param name=\"column-meta\" select=\"../section[@id = current()/@id]/table/columns/column\" />\n")
 	        wxT("        </xsl:apply-templates>\n")
-	        wxT("      </tr>\n")
-	        wxT("      <xsl:apply-templates select=\"../section[@id = current()/@id]/table/rows/*\" mode=\"rows\">\n")
-	        wxT("          <xsl:sort select=\"@number\" data-type=\"number\" order=\"ascending\" />\n")
-	        wxT("        <xsl:with-param name=\"column-meta\" select=\"../section[@id = current()/@id]/table/columns/column\" />\n")
-	        wxT("      </xsl:apply-templates>\n")
-	        wxT("    </table>\n")
+	        wxT("      </table>\n")
+	        wxT("    </div>\n")
 	        wxT("    <br />\n")
 	        wxT("    <xsl:if test=\"../section[@id = current()/@id]/table/info != ''\">\n")
 	        wxT("      <p class=\"ReportTableInfo\"><xsl:value-of select=\"../section[@id = current()/@id]/table/info\" /></p>\n")
